de.esprit.appsuite.winregistry

## Class WindowsRegistryChildNode

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.winregistry.WindowsRegistryNode
    - - de.esprit.appsuite.winregistry.WindowsRegistryChildNode

- All Implemented Interfaces:
    Dumpable, javax.swing.tree.TreeNode

      public final class WindowsRegistryChildNode
      extends WindowsRegistryNode

  This class represents a child node of a windows registry entry.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsRegistryChildNode(WindowsRegistryNode parent, java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFullPath()`
    `WindowsRegistryHive` | `getHive()`
    `java.lang.String` | `getName()`

    - ### Methods inherited from class de.esprit.appsuite.winregistry.WindowsRegistryNode

      `children, createHiveNode, createNode, createRootNode, getAbsolutePath, getAllowsChildren, getChildAt, getChildByName, getChildCount, getChildList, getIndex, getParent, getProperties, getPropertyValue, invalidate, isHive, isLeaf, isRoot, retrieveChildNodes, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsRegistryChildNode

          public WindowsRegistryChildNode(WindowsRegistryNode parent,
                                  java.lang.String name)

  - ### Method Detail

    - #### getHive

          public WindowsRegistryHive getHive()

      Specified by:
        `getHive` in class `WindowsRegistryNode`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `WindowsRegistryNode`

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in class `WindowsRegistryNode`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.